class Ruban:
    """Ruban de machine de Turing."""

    def __init__(self, caractères="", décalage=0, blanc="."):
        """Initialise un ruban.

        Par défaut, le ruban est vierge. On peut spécifier le caractère
        spécial `blanc` qui représente les cases non écrites (on utilise un
        point par défaut). On peut également fournir des `caractères`
        initialement écrits sur le ruban, l’argument `décalage` donnant l’écart
        entre la tête et le *dernier* caractère fourni (un décalage positif
        fait revenir la tête vers le début de la chaîne)."""
        pass

    def gauche(self):
        """Décale la tête du ruban vers la gauche."""
        pass

    def droite(self):
        """Décale la tête du ruban vers la droite."""
        pass

    def bouge(self, décalage):
        """Déplace la tête du nombre de cases indiquées par le `décalage`.

        Un décalage positif déplace vers la gauche."""
        pass
    
    def écrit(self, caractère):
        """Écrit un `caractère` à l’emplacement courant de la tête de lecture."""
        pass

    def lit(self):
        """Lit le caractère courant."""
        pass


if __name__ == "__main__":
    successeur = {
            'I': {
                '0': ('R','1',-1),
                '1': ('I','0',1),
                '.': ('R','1',-1),
                },
            'R': {
                '0': ('R','0',-1),
                '1': ('R','1',-1),
                '.': ('F','.',1),
                }
            }
    


